To undo check-in for one or more tickets, marking them as not checked in, make a POST call to the /events/{event_id}/undo_check_in/tickets endpoint. The event must be in ACTIVE or COMPLETE status.

Parameters

  • event_id: (path, string) Required. The ID that uniquely identifies the event. Example: 07216444-4e3b-41ea-a3b8-5a418fce41f4.

  • order_ticket_keys: (body, array of strings) Required. The set of order ticket keys to mark as not checked in. Example: ["a1b2c3", "d4e5f6"].

Request Examples

POST https://api.cc.email/v3/events/{event_id}/undo_check_in/tickets

Endpoint Requirements

User privileges: campaign:write

Authorization scopes: campaign_data

<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.cc.email/v3/events/07216444-4e3b-41ea-a3b8-5a418fce41f4/undo_check_in/tickets',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "order_ticket_keys": ["a1b2c3", "d4e5f6"]
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer {access_token}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

curl --location 'https://api.cc.email/v3/events/07216444-4e3b-41ea-a3b8-5a418fce41f4/undo_check_in/tickets' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
  "order_ticket_keys": ["a1b2c3", "d4e5f6"]
}'
OkHttpClient client = new OkHttpClient().newBuilder()
        .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n  \"order_ticket_keys\": [\"a1b2c3\", \"d4e5f6\"]\n}");
Request request = new Request.Builder()
        .url("https://api.cc.email/v3/events/07216444-4e3b-41ea-a3b8-5a418fce41f4/undo_check_in/tickets")
        .method("POST", body)
        .addHeader("Content-Type", "application/json")
        .addHeader("Authorization", "Bearer {access_token}")
        .build();
Response response = client.newCall(request).execute();

Example Response

A successful undo check-in returns a 204 No Content response with no body.

Learn more about Registration schema.

Test the endpoint using our reference tester: Try it!

Tags: events